This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
57788
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
sprout [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
(no value)
Fixed in:
(no value)



Subject: configure_requires causes PREREQ_PM to be ignored
Date: Sun, 23 May 2010 14:07:11 -0700
To: bug-CPAN@rt.cpan.org
From: Father Chrysostomos <sprout@cpan.org>
CPAN.pm 1.9456: cpan[1]> install DBD::SQLite ...
Show quoted text
---- Unsatisfied dependencies detected during ---- ---- ADAMK/DBD-SQLite-1.29.tar.gz ---- DBI [build_requires] Shall I follow them and prepend them to the queue of modules we are processing right now? [yes] ... T/TI/TIMB/DBI-1.611.tar.gz is just needed temporarily during building or testing. Do you want to install it permanently? [yes] no ... Then DBD::SQLite installs, but it doesn’t work because prerequisites are missing. That last prompt is simply not telling the truth, as DBD::SQLite also has requries in its PREREQ_PM. So either the question should come later, after the Makefile has been scanned for prerequisites, or the answer should be ignored if Makefile lists the same module.
On Sun May 23 17:07:25 2010, I think I wrote:
Show quoted text
> DBD::SQLite also has requries in its PREREQ_PM.
I meant it has DBI in its PREREQ_PM.
Seems to be resolved in 1.94_57 which I just uploaded a few seconds ago. Thanks for the report!


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.